Subject: #1297759968: Exception while property mapping at property path "":Object with identity "X" not found.
Description

Hi there,

after some googeling | couldn't find a solution...

| have installed: T3 4.7.2 with the latest git pull from git:/git.typo3.org/TYPO3v4/Extensions/news.git
Installed the default TypoScript Settings and the plugin in a page for list and another for detail view.
After calling the link for the detail view I'll get this error:

#1297759968: Exception while property mapping at property path "":Object with identity "3" not found.

Tx_Extbase_Property_Exception thrown in file
/Users/aName/Sites/sources/typo3_src-4.7.2/typo3/sysext/extbase/Classes/Property/PropertyMapper.php in line 128.

I'm currently not in the mood to dig deeper into the PropertyMapper ... ;-) but | fixed the detailAction() in the NewsController so that |

can use the news extensions until there is a bugfix. My fix:

e
* Single view of a news record

* @param integer $news

* @param integer $currentPage current page for optional pagination
* @return void

*/

public function detailAction($news = 0, $currentPage = 1) {

if( $news == 0 ){
$news = NULL;
telsef

$news = $this->newsRepository->findByUid($news);

Not that nice but it works for me...

Thanks for fixing sometime, Cyrill
History

#1 - 2012-07-13 09:18 - Cyrill Schumacher

Sorry, | mean this 8-)

Jr*

* Single view of a news record

*

* @param integer $news

* @param integer $currentPage current page for optional pagination
* @return void

*/

public function detailAction($news = NULL, $currentPage = 1) {

if( (int)$news > 0 ){

$news = $this->newsRepository->findByUid($news);

#2 - 2012-07-27 06:50 - Georg Ringer
- Status changed from New to Needs Feedback

do you use the new property mapper?

#3 - 2012-07-27 08:55 - Cyrill Schumacher

I've added config.tx_extbase.features.rewrittenPropertyMapper = 1
to the setup.ixt of your news modul and still got the same error.

#4 - 2012-07-27 09:05 - Georg Ringer

i guess this is becasue you have activated it?
see http://forge.typo3.org/issues/35084

#5 - 2012-07-28 12:40 - Cyrill Schumacher

Indeed, if | fix the core like mentioned here:

https://review.typo3.org/#/c/10378/2/Classes/Persistence/Backend.php

the detail view works now fine!

#6 - 2012-08-16 16:59 - Georg Ringer
- Status changed from Needs Feedback to Closed
http://forge.typo3.org/issues/35084
https://review.typo3.org/#/c/10378/2/Classes/Persistence/Backend.php

- % Done changed from 0 to 100
